## xapian-core 1.2.12

=== debian/changelog ===
xapian-core (1.2.12-2) unstable; urgency=low

  * New patch fix-db-write-lock.patch which fixes database write locking to
    work when the lock file is already open in the same process.
    (Closes: #695542)
  * New patch replication-above-32GB.patch which fixes database replication to
    handle files > 32GB.  (Closes: #695643)

 -- Olly Betts <olly@survex.com>  Tue, 11 Dec 2012 04:22:04 +0000

xapian-core (1.2.12-1) unstable; urgency=low

  * New upstream release.
    + Checks if Qt headers have already been included and defined 'slots' as
      a macro, and if so gives a clear error advising how to work around this
      (previously compilation would fail with a confusing error).
      (Closes: #651696)
  * debian/rules: Calculate the soversion in a simpler way, using awk.

 -- Olly Betts <olly@survex.com>  Thu, 28 Jun 2012 07:53:22 +0000

xapian-core (1.2.10-2) unstable; urgency=low

  * Enable hardening flags, based on patch from Moritz Muehlenhoff.
    (Closes: #672836)

 -- Olly Betts <olly@survex.com>  Sun, 20 May 2012 11:45:04 +0000

xapian-core (1.2.10-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: Standards-Version: 3.9.3 (no changes required).
  * debian/copyright: Update copyright years.

 -- Olly Betts <olly@survex.com>  Thu, 10 May 2012 03:15:27 +0000
