=== debian/debian/changelog ===
xapian-core (1.2.11-1) unstable; urgency=low

  * New upstream release.
    + Checks if Qt headers have already been included and defined 'slots' as
      a macro, and if so gives a clear error advising how to work around this
      (previously compilation would fail with a confusing error).
      (Closes: #651696)

 -- Olly Betts <olly@survex.com>  Wed, 27 Jun 2012 07:15:31 +0000
