## xapian-core 1.2.15

=== debian/changelog ===
xapian-core (1.2.15-2) unstable; urgency=low

  * debian/control.in: libxapian22 - "Priority: optional" to
    match overrides file.
  * debian/rules: Fix target dependencies so we don't run the testsuite twice.
  * debian/rules: Mark build-arch and build-indep as phony targets.
  * debian/copyright: Update to include 2013.

 -- Olly Betts <olly@survex.com>  Tue, 28 May 2013 10:33:34 +0000

xapian-core (1.2.15-1) unstable; urgency=low

  * New upstream release:
    + Incorporates both the patches we were carrying.
  * debian/control.in: Standards-Version: 3.9.4 (no changes required).
  * Fix binary-arch to depend on build-arch and binary-indep to depend on
    build-indep (previously both depended on build).
  * Add lintian overrides for hardening-no-fortify-functions false positives.

 -- Olly Betts <olly@survex.com>  Fri, 10 May 2013 10:22:12 +0000
