=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev
 Homepage: http://xapian.org/
 Vcs-Browser: http://trac.xapian.org/browser/trunk/xapian-core
@@ -11,7 +11,7 @@
 Package: libxapian22
 Architecture: any
 Section: libs
-Priority: important
+Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: xapian-tools
 Description: Search engine library
