=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
-# Copyright (C) 2006,2007,2008,2009,2010,2011,2012 Olly Betts
+# Copyright (C) 2006,2007,2008,2009,2010,2011,2012,2013 Olly Betts
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to
@@ -159,7 +159,7 @@
 build: build-arch build-indep
 build-arch: build-stamp
 build-indep: build-stamp
-build-stamp: configure
+build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE) -C build
 ifdef XAPIAN_BUILD_SSE
@@ -171,7 +171,8 @@
 	touch $@
 
 install: DH_OPTIONS=
-install: build \
+install: install-stamp
+install-stamp: build-stamp \
 	 debian/libxapian$(libxapian_soversion).install \
 	 debian/libxapian$(libxapian_dev_soversion)-dev.install
 	dh_testdir
@@ -202,11 +203,11 @@
 
 	# Reads the *.install files to decide where to install everything
 	dh_install --sourcedir=debian/tmp --fail-missing
-
+	touch $@
 
 binary: binary-arch binary-indep
 binary-indep: DH_OPTIONS=-i
-binary-indep: build install
+binary-indep: build-indep install
 	dh_testdir
 	dh_testroot
 	dh_installdocs
@@ -215,7 +216,3 @@
 	dh_installman
 	dh_installchangelogs ChangeLog
 	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_gencontrol
-	dh_md5sums
