## xapian-core 1.2.16

=== backends/brass/Makefile ===
# Makefile for use in directories built by non-recursive make.

SHELL = /bin/sh

all check:
	cd ../.. && $(MAKE) $@

clean:
	rm -f *.o *.obj *.lo
