=== debian/changelog ===
xapian-core (1.2.16-2ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Dec 2013 16:08:19 +0100

xapian-core (1.2.16-2) unstable; urgency=low

  * Fix creation of directory sse2 variant gets installed into.

 -- Olly Betts <olly@survex.com>  Fri, 06 Dec 2013 10:11:48 +1300

xapian-core (1.2.16-1) unstable; urgency=low

  * New upstream release:
    + Fix xapian-chert-update's -b option to work rather than always
      segfaulting. (Closes: #716484)
  * debian/watch: Fix to only consider stable releases, and to look for
    .tar.xz which upstream now uses.
  * debian/control.in: "Standards-Version: 3.9.5" (no changes required).
  * debian/rules,libxapianVERSION.install: Stop using brace expansion, fixing
    lintian warning brace-expansion-in-debhelper-config-file - instead install
    the sse2 build (where done) directly into the libxapianNN package
    directory.
  * debian/rules: Drop workaround for avr32 build timing out.
  * debian/control.in: Packaging now stored in git in debian collab-maint.

 -- Olly Betts <olly@survex.com>  Fri, 06 Dec 2013 07:59:30 +1300
