=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev, dh-autoreconf
 Homepage: http://xapian.org/
-Vcs-Browser: http://trac.xapian.org/browser/trunk/xapian-core
-Vcs-svn: svn://svn.xapian.org/xapian/trunk/xapian-core
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xapian-core.git
+Vcs-git: git://anonscm.debian.org/collab-maint/xapian-core.git
 
 Package: libxapian22
 Architecture: any
