=== debian/rules ===
--- 
+++ 
@@ -57,12 +57,6 @@
 # For i386 and *-i386.
 ifeq ($(patsubst %-i386,i386,$(DEB_HOST_ARCH)), i386)
     XAPIAN_BUILD_SSE := 1
-endif
-
-ifeq ($(DEB_HOST_ARCH), avr32)
-    # The avr32 buildd is repeatedly failing with "Took too long", so disable
-    # optimisation and the testsuite for now for a faster build.
-    DEB_BUILD_OPTIONS += noopt nocheck
 endif
 
 CFLAGS := `dpkg-buildflags --get CFLAGS`
@@ -132,11 +126,7 @@
 configure-stamp: debian/control
 	dh_testdir
 
-	# Use the latest config.sub and config.guess from the autotools-dev
-	# package.
-	rm -f config.sub config.guess
-	ln -s /usr/share/misc/config.sub config.sub
-	ln -s /usr/share/misc/config.guess config.guess
+	dh_autoreconf
 
 	# Report kernel and compiler version so upstream PLATFORMS file can be
 	# updated from buildd logs.
@@ -182,10 +172,11 @@
 
 	# Install the files into debian/tmp
 	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/tmp install
+
 ifdef XAPIAN_BUILD_SSE
 	$(MAKE) -C build-sse2 DESTDIR=$(CURDIR)/debian/tmp-sse2 install
-	mkdir $(CURDIR)/debian/tmp/usr/lib/sse2
-	mv $(CURDIR)/debian/tmp-sse2/usr/lib/libxapian*.so.* $(CURDIR)/debian/tmp/usr/lib/sse2
+	mkdir -p $(CURDIR)/debian/libxapian$(libxapian_soversion)/usr/lib/sse2
+	mv $(CURDIR)/debian/tmp-sse2/usr/lib/libxapian*.so.* $(CURDIR)/debian/libxapian$(libxapian_soversion)/usr/lib/sse2
 	rm -rf $(CURDIR)/debian/tmp-sse2
 endif
 
@@ -216,3 +207,20 @@
 	dh_installman
 	dh_installchangelogs ChangeLog
 	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary-arch: DH_OPTIONS=-a
+binary-arch: build-arch install
+	dh_testdir
+	dh_testroot
+	dh_installdocs
+	dh_installexamples
+	dh_installmenu
+	dh_installman
+	dh_installchangelogs ChangeLog
+	:
+	dh_strip --dbg-package=libxapian$(libxapian_soversion)-dbg
