## xapian-core 1.2.18

=== debian/changelog ===
xapian-core (1.2.18-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Aug 2014 20:47:16 +0200

xapian-core (1.2.18-1) unstable; urgency=medium

  * New upstream release.
  * Raise priority of libxapian22 to 'important', since aptitude depends on
    it.  (Closes: #741637)

 -- Olly Betts <olly@survex.com>  Sun, 29 Jun 2014 11:05:16 +1200

xapian-core (1.2.17-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Apr 2014 13:20:44 +0200

xapian-core (1.2.17-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Add pgpsigurlmangle setting to automatically verify
    detached GPG signatures on upstream release tarballs.

 -- Olly Betts <olly@survex.com>  Thu, 30 Jan 2014 16:04:50 +1300
