=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: xapian-core
 Section: libs
-Priority: optional
+Priority: important
 Maintainer: Olly Betts <olly@survex.com>
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev, dh-autoreconf
@@ -11,7 +11,6 @@
 Package: libxapian22
 Architecture: any
 Section: libs
-Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: xapian-tools
 Description: Search engine library
@@ -45,6 +44,7 @@
 Package: libxapian-dev
 Architecture: any
 Section: libdevel
+Priority: optional
 Depends: libxapian22 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
 Suggests: xapian-doc (= ${binary:Version}), xapian-examples (= ${binary:Version})
 Description: Development files for Xapian search engine library
@@ -62,6 +62,7 @@
 Package: xapian-tools
 Architecture: any
 Section: utils
+Priority: optional
 Depends: libxapian22 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Basic tools for Xapian search engine library
  This package contains several tools related to Xapian.
@@ -87,6 +88,7 @@
 Package: xapian-doc
 Architecture: all
 Section: doc
+Priority: optional
 Depends: ${misc:Depends}
 Recommends: libxapian-dev (= ${binary:Version})
 Description: Core Xapian documentation
@@ -104,6 +106,7 @@
 Package: xapian-examples
 Architecture: any
 Section: doc
+Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libxapian-dev (= ${binary:Version})
 Description: Xapian simple example programs
