=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: important
 Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev, dh-autoreconf
 Homepage: http://xapian.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xapian-core.git
