## xapian-core 1.2.21

=== debian/changelog ===
xapian-core (1.2.21-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Aug 2015 18:50:47 +0200

xapian-core (1.2.21-1.1) experimental; urgency=medium

  * Non maintainer upload.
  * Build using GCC 5. Closes: #791312.
  * Rename libxapian22-dbg to libxapian22v5-dbg.
  * Rename libxapian22 to libxapian22v5.
  * Add Conflict/Replaces.

 -- Matthias Klose <doko@debian.org>  Tue, 28 Jul 2015 20:58:38 +0200

xapian-core (1.2.21-1) unstable; urgency=medium

  * New upstream release:
    + Now provides pkg-config file, packaged in libxapian-dev.
  * debian/rules: It's safe to assume dpkg >= 1.16.1 now, so simplify
    use of dpkg-buildflags.
  * Upstream releases are now bootstrapped with a newer libtool, so
    dh_autoreconf is no longer needed.

 -- Olly Betts <olly@survex.com>  Fri, 22 May 2015 00:17:27 +1200
