=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Priority: important
 Maintainer: Olly Betts <olly@survex.com>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev, dh-autoreconf
+Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev, dpkg (>= 1.16.1~), g++ (>= 4:5.2)
 Homepage: http://xapian.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xapian-core.git
 Vcs-git: git://anonscm.debian.org/collab-maint/xapian-core.git
 
-Package: libxapian22
+Package: libxapian22v5
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: xapian-tools
+Conflicts: libxapian22
+Replaces: libxapian22
 Description: Search engine library
  This package contains the core Xapian runtime library.
  .
@@ -24,12 +26,14 @@
  update and searching.  It is highly scalable, and is capable of working with
  collections containing hundreds of millions of documents.
 
-Package: libxapian22-dbg
+Package: libxapian22v5-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libxapian22 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libxapian22v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: libc6-dbg, libgcc1-dbg, zlib1g-dbg, libstdc++6-4.6-dbg
+Conflicts: libxapian22-dbg
+Replaces: libxapian22-dbg
 Description: Debugging symbols for the Xapian Search engine library
  This package contains debugging symbols for the core Xapian library.
  .
@@ -45,7 +49,7 @@
 Architecture: any
 Section: libdevel
 Priority: optional
-Depends: libxapian22 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
+Depends: libxapian22v5 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
 Suggests: xapian-doc (= ${binary:Version}), xapian-examples (= ${binary:Version})
 Description: Development files for Xapian search engine library
  This package contains development libraries and headers for the core Xapian
@@ -63,7 +67,7 @@
 Architecture: any
 Section: utils
 Priority: optional
-Depends: libxapian22 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libxapian22v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Basic tools for Xapian search engine library
  This package contains several tools related to Xapian.
   - copydatabase: Copy one or more Xapian databases.
