=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
-# Copyright (C) 2006,2007,2008,2009,2010,2011,2012,2013 Olly Betts
+# Copyright (C) 2006,2007,2008,2009,2010,2011,2012,2013,2015 Olly Betts
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to
@@ -22,8 +22,10 @@
 # IN THE SOFTWARE.
 
 # Codename we're building packages for.  For backported packages, put the
-# codename (e.g. lenny or jaunty) in debian/codename.  If that file doesn't
+# codename (e.g. jessie or trusty) in debian/codename.  If that file doesn't
 # exist, the default is sid.
+#
+# (Currently nothing in this file varies depending on the codename).
 # CODENAME := $(shell cat debian/codename 2>/dev/null||echo sid)
 
 # The soversion number needs to match that generated by libtool.  The following
@@ -32,7 +34,7 @@
 # supported by the library. This should correspond to the soversion assigned
 # to the library by libtool.  (This isn't documented, and is system dependent,
 # so we need to check it doesn't break with future versions of libtool.)
-libxapian_soversion:=$(shell awk -F'[=:]' '($$1 == "LIBRARY_VERSION_INFO") {print $$2 - $$4}' configure.ac)
+libxapian_soversion:=$(shell awk -F'[=:]' '($$1 == "LIBRARY_VERSION_INFO") {print $$2 - $$4}' configure.ac)v5
 
 # For now, we don't support installation of development files for multiple
 # versions concurrently.  Incompatible ABI changes should be rare, so this
@@ -59,23 +61,8 @@
     XAPIAN_BUILD_SSE := 1
 endif
 
-CFLAGS := `dpkg-buildflags --get CFLAGS`
-CXXFLAGS := `dpkg-buildflags --get CXXFLAGS`
-LDFLAGS := `dpkg-buildflags --get LDFLAGS`
-CPPFLAGS := `dpkg-buildflags --get CPPFLAGS`
-
-# Fallback for suites which don't have dpkg-buildflags.
-ifeq (,$(CFLAGS))
-    CFLAGS :=
-    CXXFLAGS := -g
-ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-    CFLAGS += -O2
-    CXXFLAGS += -O2
-endif
-endif
-
 # Handle other DEB_BUILD_OPTIONS.  Note that dh_strip handles nostrip for us,
-# and dpkg-buildflags handles noopt with newer dpkg.
+# and dpkg-buildflags handles noopt.
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
     NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -87,7 +74,10 @@
     MAKE_CHECK := $(MAKE) check VALGRIND=
 endif
 
-confflags += CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
+# In dpkg 1.17.0, --export=cmdline was added as the preferred name, but stick
+# with --export=configure for now to ease backporting to suites with older
+# dpkg.
+confflags += $(shell dpkg-buildflags --export=configure)
 
 # With GCC3 and later this won't make a huge difference, but it'll save
 # a bit of time and diskspace while building.
@@ -126,7 +116,7 @@
 configure-stamp: debian/control
 	dh_testdir
 
-	dh_autoreconf
+	dh_autotools-dev_updateconfig
 
 	# Report kernel and compiler version so upstream PLATFORMS file can be
 	# updated from buildd logs.
@@ -224,3 +214,7 @@
 	dh_installchangelogs ChangeLog
 	:
 	dh_strip --dbg-package=libxapian$(libxapian_soversion)-dbg
+	# Only keep debug symbols for the shared library.
+	rm -rf debian/libxapian$(libxapian_soversion)-dbg/usr/lib/debug/usr/lib/xapian-examples
+	rm -rf debian/libxapian$(libxapian_soversion)-dbg/usr/lib/debug/usr/bin
+	:
